﻿Module Compatibility
    Function TextWidth(ByVal control As Control, ByVal text As String) As Single
        Using g As Graphics = control.CreateGraphics()
            Return TextWidth(g, control.Font, text)
        End Using
    End Function

    Function TextHeight(ByVal control As Control, ByVal text As String) As Single
        Using g As Graphics = control.CreateGraphics()
            Return TextHeight(g, control.Font, text)
        End Using
    End Function

    Function TextWidth(ByVal g As Graphics, ByVal font As Font, ByVal text As String) As Single
        Return g.MeasureString(text, font).Width
    End Function

    Function TextHeight(ByVal g As Graphics, ByVal font As Font, ByVal text As String) As Single
        Return g.MeasureString(text, font).Height
    End Function
End Module
